Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.cci
Class ResourceAdapterMetaDataImpl

    java.lang.Object
      com.bea.adapter.cci.ResourceAdapterMetaDataImpl

All Implemented Interfaces:
  Serializable, javax.resource.cci.ResourceAdapterMetaData

    public class ResourceAdapterMetaDataImpl

extends Object
implements javax.resource.cci.ResourceAdapterMetaData, Serializable

Encapsulates metadata about a resource adapter.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ResourceAdapterMetaDataImpl(String strName, String strDescription, String strVersion, String strVendorName, String[] astrInteractionSpecsSupported, boolean bSupportsLocalTxDemarcation, boolean bSupportsExecuteWithInputAndOutputRecord, boolean bSupportsExecuteWithInputRecordOnly)` Constructs an instance.

Method Summary
`String` | `getAdapterName()`
`String` | `getAdapterShortDescription()`
`String` | `getAdapterVendorName()`
`String` | `getAdapterVersion()`
`String[]` | `getInteractionSpecsSupported()`
`String` | `getSpecVersion()`
`boolean` | `supportsExecuteWithInputAndOutputRecord()`
`boolean` | `supportsExecuteWithInputRecordOnly()`
`boolean` | `supportsLocalTransactionDemarcation()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceAdapterMetaDataImpl

    public ResourceAdapterMetaDataImpl(String strName,
                                       String strDescription,
                                       String strVersion,
                                       String strVendorName,
                                       String[] astrInteractionSpecsSupported,
                                       boolean bSupportsLocalTxDemarcation,
                                       boolean bSupportsExecuteWithInputAndOutputRecord,
                                       boolean bSupportsExecuteWithInputRecordOnly)

  Constructs an instance.

Method Detail

### getAdapterName

    public String getAdapterName()

  Specified by:
    `getAdapterName` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    the resource adapter's name

### getAdapterShortDescription

    public String getAdapterShortDescription()

  Specified by:
    `getAdapterShortDescription` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    the resource adapter's short description

### getAdapterVendorName

    public String getAdapterVendorName()

  Specified by:
    `getAdapterVendorName` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    the resource adapter's vendor name

### getAdapterVersion

    public String getAdapterVersion()

  Specified by:
    `getAdapterVersion` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    the resource adapter's version

### getInteractionSpecsSupported

    public String[] getInteractionSpecsSupported()

  Specified by:
    `getInteractionSpecsSupported` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    an array of fully-qualified class names of InteractionSpec classes supported by this resource adapter's CCI implementation

### getSpecVersion

    public String getSpecVersion()

  Specified by:
    `getSpecVersion` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    the resource adapter's J2EE Connector Architecture specification version, 1.0

### supportsLocalTransactionDemarcation

    public boolean supportsLocalTransactionDemarcation()

  Specified by:
    `supportsLocalTransactionDemarcation` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    true if the resource adapter supports local transaction demarcation

### supportsExecuteWithInputAndOutputRecord

    public boolean supportsExecuteWithInputAndOutputRecord()

  Specified by:
    `supportsExecuteWithInputAndOutputRecord` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    true if the implementation class for the Interaction interface implements public boolean execute(InteractionSpec ispec, Record input, Record output) method; otherwise the method returns false.

### supportsExecuteWithInputRecordOnly

    public boolean supportsExecuteWithInputRecordOnly()

  Specified by:
    `supportsExecuteWithInputRecordOnly` in interface `javax.resource.cci.ResourceAdapterMetaData`
  Returns:
    true if the implementation class for the Interaction interface implements public Record execute(InteractionSpec ispec, Record input) method; otherwise the method returns false.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  Returns:
    a String representation of this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD